photo 1.JPG=For 70 years Glenn Black has wanted to fly an AT-6, a dual seat trainer used in WW2. This 600 horse power plane was used to train those preparing for single engine planes, but just before getting to it, Glenn was assigned to multi-engine flight.
photo 4.JPG=Getting buckled in.
photo 3.JPG=Thanks to Jim Shotwell, Glenn was offered a flight in Jim's plane on April 26, 2014.
photo 2.JPG=Ready now!
AA10001.JPG=Jim Shotwell's plane in flight on another occasion.
photo 2a.JPG=Glenn Black and Jim Shotwell
photo 1a.JPG=After the flight.
photo 5.JPG=Almost ready.
